Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
ipe::Canvas Class Reference
Ipe canvas

`#include <ipecanvas_win.h>`

Inherits ipe::CanvasBase, ipe::CanvasBase, and ipe::CanvasBase.

## Public Member Functions

| Canvas (GtkWidget *parent)
| ~Canvas ()
GtkWidget * | window () const
| Canvas (QWidget *parent, Qt::WFlags f=0)
virtual void | setCursor (TCursor cursor, double w=1.0, Color *color=0)
| Canvas (HWND parent)
HWND | windowId () const
Public Member Functions inherited from ipe::CanvasBase
virtual | ~CanvasBase ()
void | setPage (const Page *page, int pno, int view, const Cascade *sheet)
void | setFontPool (const FontPool *fontPool)
Vector | pan () const
double | zoom () const
const Cascade * | cascade () const
Vector | center () const
Vector | pos () const
Vector | unsnappedPos () const
Vector | globalPos () const
Vector | simpleSnapPos () const
const Snap & | snap () const
int | additionalModifiers () const
void | setAdditionalModifiers (int mod)
Vector | devToUser (const Vector &arg) const
Vector | userToDev (const Vector &arg) const
void | setCanvasStyle (const Style &style)
Style | canvasStyle () const
void | setPan (const Vector &v)
void | setZoom (double zoom)
void | setSnap (const Snap &s)
void | setDimmed (bool dimmed)
void | setAutoOrigin (const Vector &v)
Matrix | canvasTfm () const
void | setObserver (CanvasObserver *observer)
void | setFifiVisible (bool visible)
void | setSelectionVisible (bool visible)
void | setTool (Tool *tool)
void | finishTool ()
void | update ()
void | updateTool ()
int | canvasWidth () const
int | canvasHeight () const

## Static Public Member Functions

static void | init (HINSTANCE hInstance)

## Protected Member Functions

virtual void | invalidate ()
virtual void | invalidate (int x, int y, int w, int h)
virtual void | paintEvent (QPaintEvent *ev)
virtual void | mousePressEvent (QMouseEvent *ev)
virtual void | mouseReleaseEvent (QMouseEvent *ev)
virtual void | mouseMoveEvent (QMouseEvent *ev)
virtual void | tabletEvent (QTabletEvent *ev)
virtual void | wheelEvent (QWheelEvent *ev)
virtual void | keyPressEvent (QKeyEvent *ev)
virtual QSize | sizeHint () const
Protected Member Functions inherited from ipe::CanvasBase
| CanvasBase ()
void | drawPaper (cairo_t *cc)
void | drawFrame (cairo_t *cc)
void | drawAxes (cairo_t *cc)
void | drawGrid (cairo_t *cc)
void | drawObjects (cairo_t *cc)
void | drawTool (Painter &painter)
bool | snapToPaperAndFrame ()
void | refreshSurface ()
void | computeFifi (double x, double y)

## Additional Inherited Members

Public Types inherited from ipe::CanvasBase
enum | TModifiers { EShift = 0x100, EControl = 0x200, EAlt = 0x400, EMeta = 0x800 }
enum | TCursor { EStandardCursor, EHandCursor, ECrossCursor, EDotCursor }
Protected Attributes inherited from ipe::CanvasBase
CanvasObserver * | iObserver
Tool * | iTool
const Page * | iPage
int | iPageNumber
int | iView
const Cascade * | iCascade
Style | iStyle
Vector | iPan
double | iZoom
Snap | iSnap
bool | iDimmed
bool | iAutoSnap
Vector | iAutoOrigin
int | iAdditionalModifiers
bool | iRepaintObjects
int | iWidth
int | iHeight
cairo_surface_t * | iSurface
Vector | iUnsnappedMousePos
Vector | iMousePos
Vector | iGlobalPos
Vector | iOldFifi
bool | iFifiVisible
bool | iSelectionVisible
Fonts * | iFonts

## Detailed Description

A widget (control) that displays an Ipe document page.

## Constructor & Destructor Documentation

Canvas::Canvas | ( | GtkWidget * | parent | ) |

Canvas::~Canvas | ( |  | ) |

Canvas::Canvas | ( | QWidget * | parent,
|  | Qt::WFlags | f = `0`
| ) |  |

Construct a new canvas.

Canvas::Canvas | ( | HWND | parent | ) |

## Member Function Documentation

GtkWidget* ipe::Canvas::window | ( |  | ) | const

inline

virtual void ipe::Canvas::setCursor | ( | TCursor | cursor,
|  | double | w = `1.0`,
|  | Color * | color = `0`
| ) |  |

virtual

Implements ipe::CanvasBase.

virtual void ipe::Canvas::invalidate | ( |  | ) |

protectedvirtual

Implements ipe::CanvasBase.

virtual void ipe::Canvas::invalidate | ( | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

protectedvirtual

Implements ipe::CanvasBase.

void Canvas::paintEvent | ( | QPaintEvent * | ev | ) |

protectedvirtual

void Canvas::mousePressEvent | ( | QMouseEvent * | ev | ) |

protectedvirtual

void Canvas::mouseReleaseEvent | ( | QMouseEvent * | ev | ) |

protectedvirtual

void Canvas::mouseMoveEvent | ( | QMouseEvent * | ev | ) |

protectedvirtual

void Canvas::tabletEvent | ( | QTabletEvent * | ev | ) |

protectedvirtual

void Canvas::wheelEvent | ( | QWheelEvent * | ev | ) |

protectedvirtual

void Canvas::keyPressEvent | ( | QKeyEvent * | ev | ) |

protectedvirtual

QSize Canvas::sizeHint | ( |  | ) | const

protectedvirtual

void Canvas::init | ( | HINSTANCE | hInstance | ) |

static

HWND ipe::Canvas::windowId | ( |  | ) | const

inline

The documentation for this class was generated from the following files:

- ipecanvas_gtk.h
- ipecanvas_win.h
- ipecanvas_qt.h
- ipecanvas_gtk.cpp
- ipecanvas_qt.cpp
- ipecanvas_win.cpp